import matplotlib.pyplot as plt
import numpy as np
import pandas as pd
import seaborn as sns

sns.set(style="ticks")

iris = sns.load_dataset("iris")

jp = sns.JointGrid(x='sepal_length', y='sepal_width', data=iris)
jp.plot_joint(sns.regplot, color="g")
jp.plot_marginals(sns.distplot, color='r')

plt.show()
